Package com.google.earth.kml._2

# Class ListStyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ListStyleType

public class ListStyleType extends ObjectType
<p>Java class for ListStyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ListStyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <element name="listItemType" type="{http://earth.google.com/kml/2.1}listItemTypeEnum" minOccurs="0"/> <element name="bgColor" type="{http://earth.google.com/kml/2.1}color" minOccurs="0"/> <element name="ItemIcon" type="{http://earth.google.com/kml/2.1}ItemIconType" maxOccurs="unbounded" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `bgColor`
  `protected List<ItemIconType>`
  `itemIcon`
  `protected ListItemTypeEnum`
  `listItemType`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListStyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBgColor()`
  Gets the value of the bgColor property.
  `List<ItemIconType>`
  `getItemIcon()`
  Gets the value of the itemIcon property.
  `ListItemTypeEnum`
  `getListItemType()`
  Gets the value of the listItemType property.
  `void`
  `setBgColor(byte[] value)`
  Sets the value of the bgColor property.
  `void`
  `setListItemType(ListItemTypeEnum value)`
  Sets the value of the listItemType property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### listItemType

    protected ListItemTypeEnum listItemType

  - ### bgColor

    protected byte[] bgColor

  - ### itemIcon

    protected List<ItemIconType> itemIcon

- ## Constructor Details

  - ### ListStyleType

    public ListStyleType()

- ## Method Details

  - ### getListItemType

    public ListItemTypeEnum getListItemType()
    Gets the value of the listItemType property.
    Returns:
      possible object is `ListItemTypeEnum`

  - ### setListItemType

    public void setListItemType(ListItemTypeEnum value)
    Sets the value of the listItemType property.
    Parameters:
      `value` - allowed object is `ListItemTypeEnum`

  - ### getBgColor

    public byte[] getBgColor()
    Gets the value of the bgColor property.
    Returns:
      possible object is `String`

  - ### setBgColor

    public void setBgColor(byte[] value)
    Sets the value of the bgColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getItemIcon

    public List<ItemIconType> getItemIcon()
    Gets the value of the itemIcon property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the itemIcon property.

    For example, to add a new item, do as follows:

         getItemIcon().add(newItem);

    Objects of the following type(s) are allowed in the list `ItemIconType`

    Returns:
      The value of the itemIcon property.